<template>
  <ul class="navbar align-items-baseline justify-content-lg-center">
    <li class="nav-item" v-for="(menuItem, index) in menuList" :key="index">
      <a class="nav-link" href="#">{{ menuItem.title }}</a>
      <ul class="header-sub-list" v-if="menuItem.children">
        <li class="header-sub-item" v-for="(menuSub, index) in menuItem.children" :key="index">
          <a href="#" class="header-sub-link nav-link">{{ menuSub.title }}</a>
        </li>
      </ul>
    </li>
  </ul>
</template>

<script>
import { getMenuData } from "~/services/mock-data/header/menu-api";

export default {
  name: "HeaderMenuList",
  data() {
    return {
      menuList: [],
    };
  },
  async mounted() {
    this.menuList = await getMenuData();
  },
};
</script>

<style lang="scss">
@import "@/assets/scss/base/variables";
@import "@/assets/scss/base/mixins";
.header-sub-list {
  @include breakpoints(max-md) {
    padding-left: 40px;
  }
  @include breakpoints(lg) {
    display: none;
    @include position-top-left(100%, $nav-link-padding-x);
    width: 220px;
    background-color: #fff;
    box-shadow: 3px 4px 8px #dedfde;
  }
}
</style>
